1. Roles
api-security
  • Security-Api
    • Roles
      • Index
        GET
      • Create
        POST
      • Show
        GET
      • Update
        PUT
      • Delete
        DELETE
    • Devices
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Security Event
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Alerts
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Incidents
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Incident Comments
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Auth
      • Login
      • Logout
      • Me
    • Dashboard
      • Index
    • Notifications
      • Index
      • Unread
      • Mark As Read
  1. Roles

Index

Developing
GET
http://127.0.0.1:8000/api/roles
Retrieves a list of all roles registered in the system.

Request

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠401Unautheticated
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'http://127.0.0.1:8000/api/roles' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {token}' \
--header 'Content-Type: application/json'
Response Response Example
200 - Éxito
{
    "data": [
        {
            "id": 1,
            "role": "admin"
        },
        {
            "id": 2,
            "role": "analyst"
        },
        {
            "id": 3,
            "role": "viewer"
        },
        {
            "id": 4,
            "role": "pentester"
        }
    ]
}
Modified at 2026-06-19 14:23:00
Next
Create
Built with